diff --recursive -P -C3 slashem-0.0.7E7F2/src/pray.c slethe-0.0.7E7F2/src/pray.c
*** slashem-0.0.7E7F2/src/pray.c	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/src/pray.c	2006-05-28 15:31:15.847973928 +0200
***************
*** 467,472 ****
--- 467,498 ----
  	}
  }
  
+ void
+ moloch_denies_you()
+ {
+ 	pline("The dread voice of %s fills the air!", Moloch);
+ 
+ 	verbalize("So, mortal, you seek the powers of the olden gods to use against me?");
+ 
+ 	pline( "For a moment, you feel %s in your %s, but it disappears!",
+ 		something,
+ 		makeplural(body_part(HAND)));
+ 
+ 	verbalize("I think not!");
+ 
+ 	summon_minion(A_NONE, FALSE);
+ 
+ 	if (!rn2(3)) {
+ 	    summon_minion(A_NONE, FALSE);
+ 	}
+ 
+ 	if (!rn2(7)) {
+ 	    summon_minion(A_NONE, FALSE);
+ 	}
+ 
+ 	return;
+ }
+ 
  /* "I am sometimes shocked by...  the nuns who never take a bath without
   * wearing a bathrobe all the time.  When asked why, since no man can see them,
   * they reply 'Oh, but you forget the good God'.  Apparently they conceive of
diff --recursive -P -C3 slashem-0.0.7E7F2/src/priest.c slethe-0.0.7E7F2/src/priest.c
*** slashem-0.0.7E7F2/src/priest.c	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/src/priest.c	2006-05-28 15:31:15.850973472 +0200
***************
*** 183,188 ****
--- 183,190 ----
  }
  
  /* exclusively for mktemple() */
+ 
+ /* For Lethe, Cthulhu us the high priest, so there are a few changes... */
  void
  priestini(lvl, sroom, sx, sy, sanctum)
  d_level	*lvl;
***************
*** 197,204 ****
  	if(MON_AT(sx+1, sy))
  		(void) rloc(m_at(sx+1, sy), FALSE); /* insurance */
  
! 	priest = makemon(&mons[sanctum ? PM_HIGH_PRIEST : PM_ALIGNED_PRIEST],
! 			 sx + 1, sy, NO_MM_FLAGS);
  	if (priest) {
  		EPRI(priest)->shroom = (sroom - rooms) + ROOMOFFSET;
  		EPRI(priest)->shralign = Amask2align(levl[sx][sy].altarmask);
--- 199,205 ----
  	if(MON_AT(sx+1, sy))
  		(void) rloc(m_at(sx+1, sy), FALSE); /* insurance */
  
! 	priest = makemon(&mons[on_level(&astral_level, &u.uz)? PM_HIGH_PRIEST : PM_ALIGNED_PRIEST], sx + 1, sy, NO_MM_FLAGS);
  	if (priest) {
  		EPRI(priest)->shroom = (sroom - rooms) + ROOMOFFSET;
  		EPRI(priest)->shralign = Amask2align(levl[sx][sy].altarmask);
***************
*** 212,221 ****
  		set_malign(priest); /* mpeaceful may have changed */
  
  		/* now his/her goodies... */
! 		if(sanctum && EPRI(priest)->shralign == A_NONE &&
  		     on_level(&sanctum_level, &u.uz)) {
  			(void) mongets(priest, AMULET_OF_YENDOR);
! 		}
  		/* 2 to 4 spellbooks */
  		for (cnt = rn1(3,2); cnt > 0; --cnt) {
  		    (void) mpickobj(priest, mkobj(SPBOOK_CLASS, FALSE));
--- 213,222 ----
  		set_malign(priest); /* mpeaceful may have changed */
  
  		/* now his/her goodies... */
! 		/* if(sanctum && EPRI(priest)->shralign == A_NONE &&
  		     on_level(&sanctum_level, &u.uz)) {
  			(void) mongets(priest, AMULET_OF_YENDOR);
! 		} */
  		/* 2 to 4 spellbooks */
  		for (cnt = rn1(3,2); cnt > 0; --cnt) {
  		    (void) mpickobj(priest, mkobj(SPBOOK_CLASS, FALSE));
***************
*** 346,353 ****
  	if(!temple_occupied(u.urooms0)) {
  	    if(tended) {
  		shrined = has_shrine(priest);
! 		sanctum = (priest->data == &mons[PM_HIGH_PRIEST] &&
! 			   (Is_sanctum(&u.uz) || In_endgame(&u.uz)));
  		can_speak = (priest->mcanmove && !priest->msleeping &&
  			     flags.soundok);
  		if (can_speak) {
--- 347,353 ----
  	if(!temple_occupied(u.urooms0)) {
  	    if(tended) {
  		shrined = has_shrine(priest);
! 		sanctum = (Is_sanctum(&u.uz) || In_endgame(&u.uz));
  		can_speak = (priest->mcanmove && !priest->msleeping &&
  			     flags.soundok);
  		if (can_speak) {
diff --recursive -P -C3 slashem-0.0.7E7F2/src/read.c slethe-0.0.7E7F2/src/read.c
*** slashem-0.0.7E7F2/src/read.c	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/src/read.c	2006-05-28 15:31:15.858972256 +0200
***************
*** 1168,1179 ****
  	case SPE_CREATE_MONSTER:
  	    if (create_critters(1 + ((confused || sobj->cursed) ? 12 : 0) +
  				((sobj->blessed || rn2(73)) ? 0 : rnd(4)),
! 			confused ? &mons[PM_ACID_BLOB] : (struct permonst *)0))
  		known = TRUE;
  	    /* no need to flush monsters; we ask for identification only if the
  	     * monsters are not visible
  	     */
  	    break;
  	case SPE_SUMMON_UNDEAD:        
  	    {
  		int cnt = 1, oldmulti = multi;
--- 1168,1348 ----
  	case SPE_CREATE_MONSTER:
  	    if (create_critters(1 + ((confused || sobj->cursed) ? 12 : 0) +
  				((sobj->blessed || rn2(73)) ? 0 : rnd(4)),
! 			confused ? &mons[PM_ACID_BLOB] : (struct permonst *)0,
! 			MAKE_EM_NATURAL))
  		known = TRUE;
  	    /* no need to flush monsters; we ask for identification only if the
  	     * monsters are not visible
  	     */
  	    break;
+ 	/* Lethe */
+ 	case SCR_DEMONOLOGY: {
+ 	    struct permonst *critter = 0;
+ 	    int n = 1, x = 0;
+ 	    int state = MAKE_EM_HOSTILE;
+ 	    if (sobj->blessed) {
+ 		if (confused) {
+ 		    n = 3 + rn2(10);
+ 		    critter = &mons[PM_MANES];
+ 		    state = MAKE_EM_TAME;
+ 		    adjalign(-2);
+ 		} else if (rn2(2)) {
+ 		    state = MAKE_EM_TAME;
+ 		} else {
+ 		    state = MAKE_EM_HOSTILE;
+ 		}
+ 	    } else if (sobj->cursed) {
+ 		if (confused) {
+ 		    x = 100;
+ 		} else {
+ 		    n = 2 + rn2(3);
+ 		    x = 5;
+ 		}
+ 	    } else {
+ 		if (confused) {
+ 		    n = 3 + rn2(10);
+ 		    critter = &mons[PM_MANES];
+ 		    adjalign(-2);
+ 		} else if (rn2(2)) {
+ 		    state = MAKE_EM_PEACEFUL;
+ 		}
+ 	    }
+ 	    if (critter == (struct permonst *)0) {
+ 		/* Normally you get a minor demon... */
+ 		x += rn2(100);
+ 		if ( x < 35 ) {
+ 		    critter = &mons[PM_VROCK];
+ 		} else if ( x < 45 ) {
+ 		    critter = &mons[PM_HEZROU];
+ 		} else if ( x < 54 ) {
+ 		    critter = &mons[PM_HORNED_DEVIL];
+ 		} else if ( x < 63 ) {
+ 		    critter = &mons[PM_BARBED_DEVIL];
+ 		} else if ( x < 71 ) {
+ 		    critter = &mons[PM_BONE_DEVIL];
+ 		} else if ( x < 79 ) {
+ 		    critter = &mons[PM_ICE_DEVIL];
+ 		} else if ( x < 84 ) {
+ 		    critter = &mons[PM_MARILITH];
+ 		} else if ( x < 89 ) {
+ 		    critter = &mons[PM_NALFESHNEE];
+ 		} else if ( x < 94 ) {
+ 		    critter = &mons[PM_PIT_FIEND];
+ 		} else if ( x < 98 ) {
+ 		    critter = &mons[PM_BALROG];
+ 		} else {
+ 		    /* 1 in 100, you get a major demon... */
+ 		    int pm = 0;
+ 		    n = 1;
+ 		    if (u.ualign.type == A_LAWFUL) {
+ 			state = MAKE_EM_HOSTILE;
+ 		    } else if (state == MAKE_EM_TAME) {
+ 			state = MAKE_EM_PEACEFUL;
+ 		    }
+ 		    if (x > 140) {
+ 			pm = dlord(A_NONE);  /* Yen, Jub */
+ 		    } else {
+ 			pm = dprince(A_NONE);  /* Other */
+ 		    }
+ 		    /* Send in some MANES if nobody is home... */
+ 		    if ( pm == 0 ) {
+ 			pm = PM_MANES;
+ 			n = 5 + rn2(10);
+ 			if (u.ualign.type == A_CHAOTIC) {
+ 			    state = MAKE_EM_TAME;
+ 			}
+ 		    } else {
+ 			adjalign(-2);
+ 		    }
+ 		    critter = &mons[pm];
+ 		}
+ 	    }
+ 	    /* Summoning demons is a chaotic thing... */
+ 	    adjalign((u.ualign.type == A_LAWFUL) ? -3 : -1);
+ 	    if (create_critters(n, critter,state)) {
+ 		known = TRUE;
+ 	    }
+ 	    if (Hallucination) {
+ 		You_feel("like a walking study!");
+ 	    } else {
+ 		You("smell brimstone.");
+ 	    }
+ 	    /* no need to flush monsters; we ask for identification only if the
+ 	     * monsters are not visible
+ 	     *                           */
+ 	    break;
+ 	}
+ 	case SCR_ELEMENTALISM: {
+ 	    struct permonst *critter = 0;
+ 	    int n = 1;
+ 	    int state = MAKE_EM_HOSTILE;
+ 	    if (sobj->blessed) {
+ 		if (confused) {
+ 		    n = 3 + rn2(10);
+ 		    state = MAKE_EM_TAME;
+ 		} else if (!rn2(3)) {
+ 		    state = MAKE_EM_HOSTILE;   /* 1 in 3 */
+ 		} else {
+ 		    state = MAKE_EM_TAME;
+ 		}
+ 	    } else if (sobj->cursed) {
+ 		if (!confused) {
+ 		    n = 2 + rn2(3);
+ 		}
+ 	    } else {
+ 		if (confused) {
+ 		    n = 3 + rn2(10);
+ 		} else if (!rn2(2)) {
+ 		    state = MAKE_EM_PEACEFUL;
+ 		}
+ 	    }
+ 	    if (critter == (struct permonst *)0) {
+ 		/* Normally you get an elemental... */
+ 		switch (rn2(4)) {
+ 		    case 0:             /* Air */
+ 			if (confused) {
+ 			    critter = &mons[PM_GAS_SPORE];
+ 			} else {
+ 			    critter = &mons[PM_AIR_ELEMENTAL];
+ 			}
+ 			break;
+ 		    case 1:             /* Fire */
+ 			if (confused) {
+ 			    critter = &mons[PM_FLAMING_SPHERE];
+ 			} else {
+ 			    critter = &mons[PM_FIRE_ELEMENTAL];
+ 			}
+ 			break;
+ 		    case 2:             /* Water */
+ 			if (confused) {
+ 			    critter = &mons[PM_FREEZING_SPHERE];
+ 			} else {
+ 			    critter = &mons[PM_WATER_ELEMENTAL];
+ 			}
+ 			break;
+ 		    default:
+ 		    case 3:             /* Earth */
+ 			if (confused) {
+ 			    critter = &mons[PM_SHOCKING_SPHERE];
+ 			} else {
+ 			    critter = &mons[PM_EARTH_ELEMENTAL];
+ 			}
+ 			break;
+ 		}
+ 	    }
+ 	    if (create_critters(n, critter,state)) {
+ 		known = TRUE;
+ 	    }
+ 	    if (Hallucination) {
+ 		You_feel("you have experienced something fundamental.");
+ 	    } else {
+ 		pline("The elements swirl around you.");
+ 	    }
+ 	    /* no need to flush monsters; we ask for identification only if the
+ 	     * monsters are not visible
+ 	     */
+ 	    break;
+ 	}			    
  	case SPE_SUMMON_UNDEAD:        
  	    {
  		int cnt = 1, oldmulti = multi;
diff --recursive -P -C3 slashem-0.0.7E7F2/src/shk.c slethe-0.0.7E7F2/src/shk.c
*** slashem-0.0.7E7F2/src/shk.c	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/src/shk.c	2006-05-28 15:31:15.871970280 +0200
***************
*** 2977,2982 ****
--- 2977,3002 ----
  	return(value);
  }
  
+ /* Python's parrot sketch with a twist... */
+ 
+ void
+ revive_parrot(shkp, obj)
+ register struct monst *shkp;
+ register struct obj *obj;
+ {
+ 	/* This time he's telling the truth! */
+ 
+ 	pline("%s scowls.", Monnam(shkp));
+ 	pline("%s says 'It's not dead! It's only resting!'", Monnam(shkp));
+ 
+ 	(void) revive(obj);
+ 
+ 	pline("The parrot squaarks!");
+ 
+ 	return;
+ }
+ 		
+ 
  /* auto-response flag for/from "sell foo?" 'a' => 'y', 'q' => 'n' */
  static char sell_response = 'a';
  static int sell_how = SELL_NORMAL;
***************
*** 3034,3039 ****
--- 3054,3072 ----
  
  	offer = ltmp + cltmp;
  
+ 	/* OK, we're in a shop and we've dropped obj on the floor
+ 	     and, presumably, the shop keeper is around... */
+ 
+ 	if ( obj->otyp == CORPSE
+ 	  && (obj->corpsenm == PM_PARROT)
+ 	  && !shkp->msleeping
+ 	  && shkp->mcanmove ) {
+ 
+ 	    revive_parrot(shkp, obj);
+ 
+ 	    return;
+ 	}
+ 		
  	/* get one case out of the way: nothing to sell, and no gold */
  	if(!isgold &&
  	   ((offer + gltmp) == 0L || sell_how == SELL_DONTSELL)) {
diff --recursive -P -C3 slashem-0.0.7E7F2/src/teleport.c slethe-0.0.7E7F2/src/teleport.c
*** slashem-0.0.7E7F2/src/teleport.c	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/src/teleport.c	2006-05-28 15:31:15.876969520 +0200
***************
*** 1059,1071 ****
  	    /* [dlevel used to be set to 1, but it doesn't make sense to
  		teleport out of the dungeon and float or fly down to the
  		surface but then actually arrive back inside the dungeon] */
! 	} else if (u.uz.dnum == medusa_level.dnum &&
  	    newlev >= dungeons[u.uz.dnum].depth_start +
  						dunlevs_in_dungeon(&u.uz)) {
  #ifdef WIZARD
  	    if (!(wizard && force_dest))
  #endif
! 	    find_hell(&newlevel);
  	} else {
  	    /* if invocation did not yet occur, teleporting into
  	     * the last level of Gehennom is forbidden.
--- 1059,1072 ----
  	    /* [dlevel used to be set to 1, but it doesn't make sense to
  		teleport out of the dungeon and float or fly down to the
  		surface but then actually arrive back inside the dungeon] */
! /* Lethe... */
! 	/* } else if (u.uz.dnum == medusa_level.dnum &&
  	    newlev >= dungeons[u.uz.dnum].depth_start +
  						dunlevs_in_dungeon(&u.uz)) {
  #ifdef WIZARD
  	    if (!(wizard && force_dest))
  #endif
! 	    find_hell(&newlevel); */
  	} else {
  	    /* if invocation did not yet occur, teleporting into
  	     * the last level of Gehennom is forbidden.
diff --recursive -P -C3 slashem-0.0.7E7F2/src/trap.c slethe-0.0.7E7F2/src/trap.c
*** slashem-0.0.7E7F2/src/trap.c	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/src/trap.c	2006-05-28 15:31:15.886968000 +0200
***************
*** 377,383 ****
  
  	if(*u.ushops) shopdig(1);
  	if (Is_stronghold(&u.uz)) {
! 	    find_hell(&dtmp);
  	} else {
  	    dtmp.dnum = u.uz.dnum;
  	    dtmp.dlevel = newlevel;
--- 377,383 ----
  
  	if(*u.ushops) shopdig(1);
  	if (Is_stronghold(&u.uz)) {
! 	    find_castle_dungeon(&dtmp);
  	} else {
  	    dtmp.dnum = u.uz.dnum;
  	    dtmp.dlevel = newlevel;
diff --recursive -P -C3 slashem-0.0.7E7F2/src/zap.c slethe-0.0.7E7F2/src/zap.c
*** slashem-0.0.7E7F2/src/zap.c	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/src/zap.c	2006-05-28 15:31:15.900965872 +0200
***************
*** 2078,2087 ****
  			break;
  		case WAN_CREATE_MONSTER:
  			known = create_critters(rn2(23) ? 1 : rn1(7,2),
! 					(struct permonst *)0);
  			break;
  		case WAN_CREATE_HORDE:
! 			known = create_critters(rn1(7,6), (struct permonst *)0);
  			break;
  		case WAN_WISHING:
  			known = TRUE;
--- 2078,2088 ----
  			break;
  		case WAN_CREATE_MONSTER:
  			known = create_critters(rn2(23) ? 1 : rn1(7,2),
! 					(struct permonst *)0, MAKE_EM_NATURAL);
  			break;
  		case WAN_CREATE_HORDE:
! 			known = create_critters(rn1(7,6), (struct permonst *)0,
! 					MAKE_EM_NATURAL);
  			break;
  		case WAN_WISHING:
  			known = TRUE;
diff --recursive -P -C3 slashem-0.0.7E7F2/sys/unix/Makefile.top slethe-0.0.7E7F2/sys/unix/Makefile.top
*** slashem-0.0.7E7F2/sys/unix/Makefile.top	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/sys/unix/Makefile.top	2006-05-28 15:31:15.906964960 +0200
***************
*** 126,132 ****
  
  DATHELP = help hh cmdhelp history opthelp wizhelp gypsy.txt
  
! SPEC_LEVS = asmodeus.lev baalz.lev bigrm-?.lev castle.lev fakewiz?.lev \
  	juiblex.lev knox.lev medusa-?.lev minend-?.lev minefill.lev \
  	minetn-?.lev oracle.lev orcus.lev sanctum.lev soko?-?.lev \
  	tower?.lev valley.lev wizard?.lev \
--- 126,132 ----
  
  DATHELP = help hh cmdhelp history opthelp wizhelp gypsy.txt
  
! SPEC_LEVS = asmodeus.lev baalz.lev bigrm-?.lev castle.lev \
  	juiblex.lev knox.lev medusa-?.lev minend-?.lev minefill.lev \
  	minetn-?.lev oracle.lev orcus.lev sanctum.lev soko?-?.lev \
  	tower?.lev valley.lev wizard?.lev \
***************
*** 135,141 ****
  	grund-?.lev demogorg.lev dispater.lev dragons.lev geryon.lev \
  	guild.lev kobold-?.lev lich.lev mall-?.lev mall.lev mineking.lev \
  	mtemple.lev nymph.lev rats.lev sea.lev spiders.lev stor-?.lev \
! 	tomb.lev yeenoghu.lev frnknstn.lev nightmar.lev
  QUEST_LEVS = ???-goal.lev ???-fil?.lev ???-loca.lev ???-strt.lev
  
  SHARE_DATNODLB = $(CNF_SHARE_DATND)
--- 135,142 ----
  	grund-?.lev demogorg.lev dispater.lev dragons.lev geryon.lev \
  	guild.lev kobold-?.lev lich.lev mall-?.lev mall.lev mineking.lev \
  	mtemple.lev nymph.lev rats.lev sea.lev spiders.lev stor-?.lev \
! 	tomb.lev yeenoghu.lev frnknstn.lev nightmar.lev ucastle.lev \
! 	pvalley.lev nkai-?.lev nkai-a-?.lev lethe-?.lev leth-?-?.lev
  QUEST_LEVS = ???-goal.lev ???-fil?.lev ???-loca.lev ???-strt.lev
  
  SHARE_DATNODLB = $(CNF_SHARE_DATND)
